io.undertow.websockets.core.function

## Class ChannelFunctionWritableByteChannel

- java.lang.Object
- - io.undertow.websockets.core.function.ChannelFunctionWritableByteChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, WritableByteChannel

    public class ChannelFunctionWritableByteChannel
    extends Object
    implements WritableByteChannel

Author:
  Norman Maurer

### Constructor Summary

Constructors
Constructor and Description
`ChannelFunctionWritableByteChannel(WritableByteChannel channel, ChannelFunction... functions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isOpen()`
`int` `write(ByteBuffer src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChannelFunctionWritableByteChannel

    public ChannelFunctionWritableByteChannel(WritableByteChannel channel,
                                              ChannelFunction... functions)

### Method Detail

#### write

    public int write(ByteBuffer src)
              throws IOException

Specified by:
  `write` in interface `WritableByteChannel`
Throws:
  `IOException`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`
Throws:
  `IOException`